package cn.iocoder.yudao.module.member.vo.memberUserScore;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @author zhaobiyan
 */
@Data
@ApiModel("管理后台 - 会员积分查询 VO")
public class MemberUserScoreBackVO {
    @ApiModelProperty(value = "会员id")
    private String id;
    @ApiModelProperty(value = "会员昵称")
    private String nickname;
    @ApiModelProperty(value = "联系方式")
    private String areaCode;
    @ApiModelProperty(value = "手机号")
    private String mobile;
    @ApiModelProperty(value = "国家(中文)")
    private String countryNameZh;
    @ApiModelProperty(value = "国家(英文)")
    private String countryNameEn;
    @ApiModelProperty(value = "当前积分")
    private Integer holdScore;
    @ApiModelProperty(value = "已兑换积分")
    private Integer usedScore;
    @ApiModelProperty(value = "会员注册时间")
    private Date createTime;
}
